Bug 12840 - The budgeted cost and the total should not be manually modified
Summary: The budgeted cost and the total should not be manually modified
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 12826
  Show dependency treegraph
 
Reported: 2014-08-28 10:43 UTC by Jonathan Druart
Modified: 2015-06-04 23:32 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12840: The budgeted cost and the total is automatically calculated (2.54 KB, patch)
2014-08-28 10:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12840: The budgeted cost and the total are automatically calculated (2.54 KB, patch)
2014-08-28 10:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12840: The budgeted cost and the total are automatically calculated (2.64 KB, patch)
2014-09-04 14:21 UTC, Paola Rossi
Details | Diff | Splinter Review
[PASSED QA] Bug 12840: The budgeted cost and the total are automatically calculated (2.66 KB, patch)
2014-09-12 17:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-08-28 10:43:59 UTC

    
Comment 1 Jonathan Druart 2014-08-28 10:46:35 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-08-28 10:47:41 UTC Comment hidden (obsolete)
Comment 3 Paola Rossi 2014-09-04 14:21:50 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2014-09-12 17:46:42 UTC
Created attachment 31566 [details] [review]
[PASSED QA] Bug 12840: The budgeted cost and the total are automatically calculated

Both of these 2 values should not be modified by the user.
Since these values depend on the discount and the quantity.

Test plan:
Verify you cannot modify the budgeted cost and the total price on
creating/modifying an order.

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2014-11-21 19:04:21 UTC
Patch pushed to master.

Thanks Jonathan!